# Class BytesOutputStream

java.lang.Object
java.io.OutputStream
java.io.ByteArrayOutputStream
org.fressian.impl.BytesOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public class BytesOutputStream extends ByteArrayOutputStream

## Field Summary

### Fields inherited from class ByteArrayOutputStream

`buf, count`

## Constructor Summary

Constructors
Constructor
Description
`BytesOutputStream()`
`BytesOutputStream(int i)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`internalBuffer()`
`int`
`length()`

### Methods inherited from class ByteArrayOutputStream

`close, reset, size, toByteArray, toString, toString, toString, toString, write, write, writeBytes, writeTo`

### Methods inherited from class OutputStream

`flush, nullOutputStream, write`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BytesOutputStream

public BytesOutputStream()

### BytesOutputStream

public BytesOutputStream(int i)

## Method Details

### internalBuffer

public byte[] internalBuffer()

### length

public int length()